/*
 * Si detectamos cualquier movimiento (mediante un sensor de movimiento tipo "tilt")
 * iniciamos una alarma con luz (zumbador) y sonido (LED)
 */

const int pinTilt = 12; // pin para el sensor de movimiento
const int pinZumb = 10; // pin para el zumbador activo
const int pinLED  = 5;  // pin para el LED

void setup() {
	pinMode(pinTilt, INPUT_PULLUP); // conectado solo con dos cables
  pinMode(pinZumb, OUTPUT);
  pinMode(pinLED,  OUTPUT);
}

void loop() {
	int value = digitalRead(pinTilt);
  if (value == HIGH)
  {
    // el sensor ha "saltado"
    digitalWrite(pinZumb, HIGH); // encender el pitido de alarma
    digitalWrite(pinLED, HIGH);  // encender el LED de alarma
    delay(100);                  // encendido al menos 100 milisegundos
  }
  else
  {
    // sensor en posición normal
    digitalWrite(pinZumb, LOW); // apagar el pitido
    digitalWrite(pinLED, LOW);  // apagar el LED
  }
}
